A slightly altered version of ItemTierSelection by Theray070696

This allows any item to become a yellow by changing it's tier number in the config to 5.

I made this to support an alternate gamemode I am working on. It may cause strage boss drop behaviors during normal gameplay.

For most people, you're gonna want to head over here: https://thunderstore.io/package/Theray070696/ItemTierSelection/

___

Original Readme

___

Since people in the discord loved the other mod I made, I decided to make a better version.

![Discord Screenshot](https://i.imgur.com/RDzDmEp.png)

___
This mod allows you to set the tier of any item in the game. Want Chronobauble to be a white? Go ahead! Want to make every run a broken run? Set 57 Leaf to tier 1, and have a blast! Think Red Whip shouldn't exist (don't see why, it's the best item in the game Kappa)? Have at it! Want to delete Meteors? Totally understandable!

All clients require this mod and a matching config. Uninstall this mod if the host does not have it or you will encounter issues.

There is one thing that I'll mention here that isn't mentioned in the config. You might notice that boss items are set to 5 by default in the config. This value only works on boss items, and leaves them as boss items. I didn't allow setting normal items to boss items because I don't know how the game will handle it.

The names in the config are probably not familiar, that's because the translation system in RoR2 isn't available when I'm writing the config, so I'm forced to use the internal names. [Here's a handy list of the internal names and their respective names](https://github.com/risk-of-thunder/R2Wiki/wiki/Item-&-Equipment-IDs-and-Names)


Want to support my modding? Support me on Patreon! https://www.patreon.com/Theray070696

___
Changelog:

2.1.1
-Updated changelog

2.1.0
-Items will not have their icon outline dynamically adjusted at runtime. (Thanks kylewill0725 on GitHub for the pull request!)
-Verified to work on Risk of Rain 2 1.0

2.0.2
-Updated README

2.0.1
-Fixed equipment being broken.

2.0.0
-Updated for latest RoR2 build (October 10th 2019)

1.1.2
-Fixed dll version being incorrect
-Removed ItemLib incompatibility text from this very file

1.1.1:
-Fixed incompatibility with ItemLib

1.1.0:
-Added support for equipment! All implemented equipment (minus elite equipment) can be disabled, swapped to normal, or swapped to lunar!
-Minor optimization in config loading code (honestly could leave this note out :P)

1.0.0:
-Initial release